Read an agent task (ai.use)
import requests
url = "https://platform.ankra.app/api/v1/org/ai-tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-tasks/{task_id} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"goal_prompt": "<string>",
"trigger": {
"kind": "mission",
"cron_expression": "<string>",
"timezone": "<string>",
"alert_id": "<string>",
"purpose": "<string>",
"application_id": "<string>",
"branch": "<string>"
},
"tool_profile": "read_only",
"autonomy_level": "read_only",
"enabled": true,
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"budget": {
"max_runs_per_day": 123,
"max_tool_calls": 123,
"max_write_actions": 123,
"max_turns": 123,
"max_runtime_minutes": 123,
"max_tokens_per_day": 123,
"tier_overrides": {}
},
"model_mode": "<string>",
"board_worker": true,
"acts_as_service_principal": true,
"capabilities": {},
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"template_id": "<string>",
"template_version": 123,
"template_current_version": 123,
"template_customised": true,
"can_work_board": true,
"cannot_work_board_reason": "<string>",
"latest_run": {}
}AI Management
Read an agent task (ai.use)
GET
/
api
/
v1
/
org
/
ai-tasks
/
{task_id}
Read an agent task (ai.use)
import requests
url = "https://platform.ankra.app/api/v1/org/ai-tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-tasks/{task_id} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"goal_prompt": "<string>",
"trigger": {
"kind": "mission",
"cron_expression": "<string>",
"timezone": "<string>",
"alert_id": "<string>",
"purpose": "<string>",
"application_id": "<string>",
"branch": "<string>"
},
"tool_profile": "read_only",
"autonomy_level": "read_only",
"enabled": true,
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"budget": {
"max_runs_per_day": 123,
"max_tool_calls": 123,
"max_write_actions": 123,
"max_turns": 123,
"max_runtime_minutes": 123,
"max_tokens_per_day": 123,
"tier_overrides": {}
},
"model_mode": "<string>",
"board_worker": true,
"acts_as_service_principal": true,
"capabilities": {},
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"template_id": "<string>",
"template_version": 123,
"template_current_version": 123,
"template_customised": true,
"can_work_board": true,
"cannot_work_board_reason": "<string>",
"latest_run": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Available options:
read_only, standard, admin Available options:
read_only, propose, auto Show child attributes
Show child attributes